Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.parser

# Interface ReservedWords

All Known Implementing Classes:
  `FirebirdReservedWords`

@InternalApi public interface ReservedWords
Interface for reserved words checks.

Since:
  5
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isReservedWord(CharSequence tokenText)`
Checks case-insensitively if the supplied token text is a reserved word.

## Method Details

### isReservedWord

boolean isReservedWord(CharSequence tokenText)
Checks case-insensitively if the supplied token text is a reserved word.

Parameters:
  `tokenText` - Token text to check
Returns:
  `true` if the token text is a reserved word, `false` otherwise